
PRINT 'Before initialisation - ' + convert(char(1) ,@@TRANCOUNT	)	-- value = 0
--  The BEGIN TRANSACTION statement will increment the transaction count by 1. 
BEGIN TRANSACTION		-- value = 1
    PRINT 'BEGIN  Initialisation - ' + convert(char(1) ,@@TRANCOUNT)	
    BEGIN TRANSACTION	-- value = 2
        PRINT 'BEGIN  Initialisation - ' + convert(char(1) ,@@TRANCOUNT)	
--  The COMMIT statement will decrement the transaction count by 1. 
    COMMIT				-- value = 1
    PRINT 'COMMIT Initialisation - ' + convert(char(1) ,@@TRANCOUNT)	 
COMMIT					-- value = 0
PRINT 'COMMIT Initialisation - ' + convert(char(1) ,@@TRANCOUNT)	
